Bug 445916 - "yumdownloader --help" fails with traceback
"yumdownloader --help" fails with traceback
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 16:03 EDT by Sebastian Vahl
Modified: 2008-09-10 03:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 07:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-05-09 16:03:55 EDT
Description of problem:
"yumdownloader --help" or "yumdownloader -h" fails with this traceback:

cat /daten/yumdownloader.txt 
# yumdownloader -h
Loaded plugins: fastestmirror, refresh-packagekit
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 277, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 42, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 51, in main
    opts = self.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 84, in doUtilConfigSetup
    (opts, self.cmds) = self._parser.setupYumConfig()
  File "/usr/share/yum-cli/cli.py", line 1009, in setupYumConfig
    (opts, cmds) = self.parse_args()
  File "/usr/lib64/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib64/python2.5/optparse.py", line 1422, in _process_args
    self._process_short_opts(rargs, values)
  File "/usr/lib64/python2.5/optparse.py", line 1529, in _process_short_opts
    option.process(opt, value, values, self)
  File "/usr/lib64/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib64/python2.5/optparse.py", line 802, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/share/yum-cli/cli.py", line 1102, in _wrapOptParseUsage
    self.base.usage()
  File "/usr/share/yum-cli/cli.py", line 909, in usage
    sys.stdout.write(self.optparser.format_help())
AttributeError: 'YumDownloader' object has no attribute 'optparser'


Version-Release number of selected component (if applicable):
yum-utils-1.1.13-2.fc9.noarch


How reproducible:
ever


Steps to Reproduce:
1. install yum-utils
2. try "yumdownloader --help" or "yumdownloader -h"

  
Actual results:
see a traceback

Expected results:
help should be displayed

Additional info:
"yumdownloader" (without options) is working fine. Also other options like
"--version", "--urls" or "--source" are usuable (I've not tested all).
Comment 1 Bug Zapper 2008-05-14 06:56:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tim Lauridsen 2008-05-30 08:27:54 EDT
Please retest i cant reproduce this error.
Comment 3 Christoph Wickert 2008-05-30 09:44:38 EDT
But I can confirm it on F9:

 refresh-packagekit
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 277, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 42, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 51, in main
    opts = self.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 83, in doUtilConfigSetup
    (opts, self.cmds) = self._parser.setupYumConfig()
  File "/usr/share/yum-cli/cli.py", line 1009, in setupYumConfig
    (opts, cmds) = self.parse_args()
  File "/usr/lib/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.5/optparse.py", line 802, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/share/yum-cli/cli.py", line 1102, in _wrapOptParseUsage
    self.base.usage()
  File "/usr/share/yum-cli/cli.py", line 909, in usage
    sys.stdout.write(self.optparser.format_help())
AttributeError: 'YumDownloader' object has no attribute 'optparser


rpm -q yum-utils
yum-utils-1.1.13-2.fc9.noarch
Comment 4 Seth Vidal 2008-05-30 10:03:48 EDT
please upgrade to yum-utils 1.1.14 in updates-testing. I think you'll find it
goes away.
Comment 5 Christoph Wickert 2008-05-30 11:54:28 EDT
Nope, now we have another error:

yumdownloader --help
Geladene Plugins: refresh-packagekit
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 277, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 42, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 51, in main
    opts = self.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 83, in doUtilConfigSetup
    (opts, self.cmds) = self._parser.setupYumConfig()
  File "/usr/share/yum-cli/cli.py", line 1009, in setupYumConfig
    (opts, cmds) = self.parse_args()
  File "/usr/lib/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.5/optparse.py", line 802, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/share/yum-cli/cli.py", line 1102, in _wrapOptParseUsage
    self.base.usage()
  File "/usr/share/yum-cli/cli.py", line 909, in usage
    sys.stdout.write(self.optparser.format_help())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position
1387: ordinal not in range(128)
Comment 6 Stewart Adam 2008-05-30 17:50:00 EDT
$ rpm -q yum-utils
yum-utils-1.1.13-2.fc9.noarch
$ yumdownloader --help
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 277, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 42, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 51, in main
    opts = self.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 84, in doUtilConfigSetup
    (opts, self.cmds) = self._parser.setupYumConfig()
  File "/usr/share/yum-cli/cli.py", line 1009, in setupYumConfig
    (opts, cmds) = self.parse_args()
  File "/usr/lib64/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib64/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib64/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib64/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib64/python2.5/optparse.py", line 802, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/share/yum-cli/cli.py", line 1102, in _wrapOptParseUsage
    self.base.usage()
  File "/usr/share/yum-cli/cli.py", line 909, in usage
    sys.stdout.write(self.optparser.format_help())
AttributeError: 'YumDownloader' object has no attribute 'optparser'
Comment 7 Seth Vidal 2008-05-31 00:46:55 EDT
(In reply to comment #6)
> $ rpm -q yum-utils
> yum-utils-1.1.13-2.fc9.noarch

right, upgrade to 1.1.14 which is in updates-testing.
Comment 8 Stewart Adam 2008-05-31 09:51:31 EDT
Oh, my bad... I should have read all comments first. It works now :)
Comment 9 Sebastian Vahl 2008-06-01 09:33:39 EDT
yumdwonloader from yum-utils-1.1.14-3.fc9.noarch is still not working with 
LANG=de_DE.UTF-8. But the traceback has changed:

$ yumdownloader --help
Konfigurationsdatei /etc/yum/pluginconf.d/fastestmirror-asyncore.conf nicht 
gefunden
Kann Konfigurationsdatei für Plugin fastestmirror-asyncore nicht finden
Geladene Plugins: fastestmirror, refresh-packagekit, versionlock
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 277, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 42, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 51, in main
    opts = self.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 83, in doUtilConfigSetup
    (opts, self.cmds) = self._parser.setupYumConfig()
  File "/usr/share/yum-cli/cli.py", line 1009, in setupYumConfig
    (opts, cmds) = self.parse_args()
  File "/usr/lib/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.5/optparse.py", line 802, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/share/yum-cli/cli.py", line 1102, in _wrapOptParseUsage
    self.base.usage()
  File "/usr/share/yum-cli/cli.py", line 909, in usage
    sys.stdout.write(self.optparser.format_help())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 
1387: ordinal not in range(128)
Comment 11 Christoph Wickert 2008-06-02 07:05:39 EDT
Confirmed to be working with LANG=de_DE.UTF-8
Comment 12 Tim Lauridsen 2008-06-02 07:41:55 EDT
Thanks, it will be available in yum-utils-1.1.15.
Comment 13 Fedora Update System 2008-08-07 09:59:59 EDT
yum-utils-1.1.15-1.fc9 has been submitted as an update for Fedora 9
Comment 14 Fedora Update System 2008-08-07 10:05:55 EDT
yum-utils-1.1.15-1.fc8 has been submitted as an update for Fedora 8
Comment 15 Fedora Update System 2008-09-10 02:47:32 EDT
yum-utils-1.1.15-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-09-10 03:04:58 EDT
yum-utils-1.1.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.